#include <iostream>
using namespace std;

float MEDIA(int numeri[], int tnum);

int main() {
    int tnum;
    int i;
	
    cout << "Quanti numeri vuoi inserire?: ";
    cin >> tnum;
    
    int numeri[tnum];
    
    for (i = 0; i < tnum; i++) {
        cout << i + 1 << ") Numero: ";
        cin >> numeri[i];
    }
    
    float media = 0;
    
    media = MEDIA(numeri, tnum);
    cout << "Media: " << media << endl;
    
    return 0;
}

float MEDIA(int numeri[], int tnum) {
    float totale = 0;
    for (int i = 0; i < tnum; i++) {
        totale = totale + numeri[i];
    }
    return totale / tnum;
}